Package org.gitana.platform.client.platform

# Class AbstractPlatformDataStoreImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.datastore.AbstractDataStoreImpl
org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl
org.gitana.platform.client.platform.AbstractPlatformDataStoreImpl

All Implemented Interfaces:
  `Serializable`, `ClusterDataStore`, `DataStore`, `Document`, `PlatformDataStore`, `AccessControllable`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `Teamable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

Direct Known Subclasses:
  `ApplicationImpl`, `DirectoryImpl`, `DomainImpl`, `RegistrarImpl`, `RepositoryImpl`, `VaultImpl`, `WebHostImpl`

public abstract class AbstractPlatformDataStoreImpl extends AbstractClusterDataStoreImpl implements PlatformDataStore

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractPlatformDataStoreImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`CopyJob`
`copy(TypedID targetContainer)`
Copies this object into the target container.
`CopyJob`
`copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
Copies this object into the target container.
`CopyJob`
`copyAsync(TypedID targetContainer)`
Copies this object into the target container.
`CopyJob`
`copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
Copies this object into the target container.
`Platform`
`getPlatform()`
`org.gitana.platform.services.reference.Reference`
`ref()`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl

`getCluster`

### Methods inherited from class org.gitana.platform.client.datastore.AbstractDataStoreImpl

`createTeam, createTeam, delete, deleteTeam, equals, exportArchive, exportArchive, exportArchive, getACL, getACL, getAuthorityGrants, getDriver, getFactory, getId, getOwnersTeam, getRemote, getResourceUri, getTeamableBaseUri, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, importArchive, importArchive, importArchive, listTeams, readTeam, reload, revoke, revoke, revokeAll, revokeAll, update`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDataStore

`getCluster`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Constructor Details

### AbstractPlatformDataStoreImpl

protected AbstractPlatformDataStoreImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### ref

public org.gitana.platform.services.reference.Reference ref()

Specified by:
  `ref` in interface `Referenceable`

### getPlatform

public Platform getPlatform()

Specified by:
  `getPlatform` in interface `PlatformDataStore`

### copy

public CopyJob copy(TypedID targetContainer)
Description copied from interface: `Copyable`
Copies this object into the target container.

Specified by:
  `copy` in interface `Copyable`
Parameters:
  `targetContainer` -
Returns:
  id of the resulting object

### copy

public CopyJob copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)
Description copied from interface: `Copyable`
Copies this object into the target container.

Specified by:
  `copy` in interface `Copyable`
Parameters:
  `targetContainer` -
  `strategy` -
  `additionalConfiguration` -
Returns:
  id of the resulting object

### copyAsync

public CopyJob copyAsync(TypedID targetContainer)
Description copied from interface: `Copyable`
Copies this object into the target container.

Specified by:
  `copyAsync` in interface `Copyable`
Parameters:
  `targetContainer` -
Returns:
  copy job

### copyAsync

public CopyJob copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)
Description copied from interface: `Copyable`
Copies this object into the target container.

Specified by:
  `copyAsync` in interface `Copyable`
Parameters:
  `targetContainer` -
  `strategy` -
  `additionalConfiguration` -
Returns:
  copy job